curl --request DELETE \
--url https://api.vantage.sh/v2/virtual_tag_configs/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/virtual_tag_configs/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "vtag_1234",
"created_by_token": "usr_1234",
"key": "Cost Center",
"hidden": true,
"preferred": true,
"overridable": true,
"backfill_until": "2026-02-01",
"collapsed_tag_keys": [
{
"key": "team",
"providers": [
""
],
"filter": "(costs.provider = 'aws') OR (costs.provider = 'gcp')"
}
],
"values": [
{
"token": "vtag_val_1234",
"filter": "costs.provider = 'aws' AND costs.service = 'Amazon Simple Storage Service'",
"label_transforms": [
{
"type": "split",
"delimiter": "<string>",
"index": 123,
"template": "<string>"
}
],
"percentages": [
{
"value": "cost-center-a",
"pct": 50
}
],
"date_ranges": [
{
"start_date": "<string>",
"end_date": "<string>"
}
],
"name": "Informatics",
"business_metric_token": "bsnss_mtrc_abc123",
"label_key": "<string>",
"label_values": [
"<string>"
],
"cost_metric": {
"filter": "<string>",
"aggregation": {
"tag": "<string>"
}
},
"display_name": "<string>"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Delete virtual tag config
Deletes an existing VirtualTagConfig.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
VirtualTagConfig model
The token of the VirtualTagConfig.
"vtag_1234"
The token of the Creator of the VirtualTagConfig.
"usr_1234"
The key of the VirtualTagConfig.
"Cost Center"
Whether the VirtualTagConfig key is hidden from the Vantage UI.
Whether the VirtualTagConfig key is marked as preferred in the Vantage UI.
Whether the VirtualTagConfig can override a provider-supplied tag on a matching Cost.
The earliest month VirtualTagConfig should be backfilled to.
"2026-02-01"
Tag keys to collapse values for.
Show child attributes
Show child attributes
Values for the VirtualTagConfig, with match precedence determined by their relative order in the list.
Show child attributes
Show child attributes